#!/bin/sh
#
# rc.M		This file is executed by init(8) when the system is being
#		initialized for one of the "multi user" run levels (i.e.
#		levels 1 through 6).  It usually does mounting of file
#		systems et al.
#
# Tell the viewers what's going to happen.
echo ">>> Running M-script: $0. Go multiuser..."

hostname player

# Fonts set
setfont -v /usr/share/kbd/consolefonts/Cyr_a8x16.psfu.gz
mapscrn /usr/share/kbd/consoletrans/koi2alt

for i in 1 2 3 4 5 6 ; do
  echo -e '\033(K' >/dev/tty$i
done

# Initialize the networking hardware and software.
if [ -x /etc/rc.d/rc.inet ]; then
  . /etc/rc.d/rc.inet
fi

grep -q "/dev/root / .* rw[, ]" /etc/mtab && {
  # Remove stale locks and junk files (must be done after mount -a!)
  /bin/rm -f /var/lock/* /var/spool/uucp/LCK..* /tmp/.X*lock /tmp/core /core 2> /dev/null

  # Ensure basic filesystem permissions sanity.
  chmod 755 / 2> /dev/null
  chmod 1777 /tmp /var/tmp
}

# Update all the shared library links:
#if [ -x /sbin/ldconfig ]; then
#  echo "Updating shared library links:  /sbin/ldconfig"
#  /sbin/ldconfig
#fi

# Load ALSA (sound) defaults:
if [ -x /etc/rc.d/rc.alsa ]; then
  . /etc/rc.d/rc.alsa
fi
